Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio
Class OverlayAnnotation.PropertyForwarder

    java.lang.Object
      org.biojava.utils.ChangeForwarder
          org.biojava.bio.OverlayAnnotation.PropertyForwarder

All Implemented Interfaces:
  EventListener, ChangeListener

Enclosing class:
  OverlayAnnotation

    protected class OverlayAnnotation.PropertyForwarder

extends ChangeForwarder

Forwards change events from the underlying Annotation to this one.

Author:
  Thomas Down, Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.utils.ChangeForwarder
`ChangeForwarder.Retyper`

Nested classes/interfaces inherited from interface org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.ChangeEventRecorder, ChangeListener.LoggingListener`

Field Summary

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`OverlayAnnotation.PropertyForwarder(Object source, ChangeSupport cs)` Forward on behalf of source using the change support provided.

Method Summary
`ChangeEvent` | `generateEvent(ChangeEvent ce)` Return the new event to represent the originating event ce.

Methods inherited from class org.biojava.utils.ChangeForwarder
`changeSupport, getSource, postChange, preChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverlayAnnotation.PropertyForwarder

    public OverlayAnnotation.PropertyForwarder(Object source,
                                               ChangeSupport cs)

  Forward on behalf of source using the change support provided.

  Parameters:
    `source` - the source Object
    `cs` - the ChangeSupport to use

Method Detail

### generateEvent

    public ChangeEvent generateEvent(ChangeEvent ce)

  Description copied from class: `ChangeForwarder`

  Return the new event to represent the originating event ce.

  The returned ChangeEvent is the event that will be fired, and should be built from information in the original event. If it is null, then no event will be fired.

  The default implementation just constructs a ChangeEvent of the same type that chains back to ce.

  Overrides:
    `generateEvent` in class `ChangeForwarder`
  Parameters:
    `ce` - the originating ChangeEvent
  Returns:
    a new ChangeEvent to pass on, or null if no event should be sent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD